Mon Aug 27 2007 Paul Chitescu <paulc-devel@null.ro>
- Released version 1.3.0
- The GTK2 client now properly handles combobox operations
- Added heartbeatdrop and registeredonly settings for H.323 gatekeeper

Mon Aug 27 2007 Ioana Stanciu <oana@null.ro>
- Populate the callto combo if we succeed to start a new call

Sat Aug 25 2007 Paul Chitescu <paulc-devel@null.ro>
- Ignore SIP provisional message retransmissions detected when PRACK is used

Fri Aug 24 2007 Paul Chitescu <paulc-devel@null.ro>
- Added "start" and "restart" commands in extmodule, simplified parsing
- Allow answering to SIP session refreshes without a SDP offer
- Increased client default event text limit to 10k to accomodate debugging

Thu Aug 23 2007 Paul Chitescu <paulc-devel@null.ro>
- Fixed reentrancy problems when debug is captured to client window
- Warn about handling messages that are expected to be broadcasted
- CDR builder fixes (call time) and new parameters cdrid and runid

Fri Aug 17 2007 Paul Chitescu <paulc-devel@null.ro>
- Added setting to make the written wave files world readable

Thu Aug 09 2007 Paul Chitescu <paulc-devel@null.ro>
- Supervisor waits up to 30 seconds for child to start
- All child processes are reaped before starting a new one

Fri Aug 03 2007 Paul Chitescu <paulc-devel@null.ro>
- Improved call generator messages, added disconnect reason if available
- Added code and setting to emit inband DTMFs on H.323
- In SIP exclude from SDP media with no supported formats

Tue Jul 31 2007 Paul Chitescu <paulc-devel@null.ro>
- New setting for enforcing the local address included in the chan.rtp message
- A hung console process can be killed from keyboard by pressing ^C twice

Thu Jul 26 2007 Paul Chitescu <paulc-devel@null.ro>
- Moved MIME related classes from SIP to engine

Tue Jul 24 2007 Paul Chitescu <paulc-devel@null.ro>
- Added new sipfeatures, park and queues modules

Mon Jul 23 2007 Paul Chitescu <paulc-devel@null.ro>
- Support for multiple module directories, can be specified from command line
- Provide description in SIP REGISTER Contact only if explicitely configured
- If possible include zaptel/zaptel.h instead of linux/zaptel.h

Wed Jul 18 2007 Paul Chitescu <paulc-devel@null.ro>
- Load register account and result information from the proper config section
- Added capability of loading @queries indirectly from database

Wed Jul 18 2007 Marian Podgoreanu <marian@null.ro>
- Fixed call direction attribute for SIP notifications

Fri Jul 13 2007 Paul Chitescu <paulc-devel@null.ro>
- New "pbxparams" lists parameters to be copied to/from the internal PBX keep

Mon Jul 09 2007 Paul Chitescu <paulc-devel@null.ro>
- Added action on non-matching regexp capability

Fri Jul 06 2007 Marian Podgoreanu <marian@null.ro>
- Added the possibility to pick up a channel or its peer
- Fixed resource.subscribe handler: set reason parameter instead of error

Wed Jul 04 2007 Paul Chitescu <paulc-devel@null.ro>
- Support for [ip.add.re.ss] style URI, also used by IPv6 addresses
- The "peerid" takes precedence over "targetid" in channels
- Masquerading rules are applied before the message is completed

Wed Jul 04 2007 Marian Podgoreanu <marian@null.ro>
- Added call pickup feature
- Handle SIP subscribe requests and send event state notifications

Wed Jun 27 2007 Paul Chitescu <paulc-devel@null.ro>
- Generic SIP handlers can alter the answer, not only the return code
- The CANCEL for a "pickup" reason will carry a SIP Reason cause 200
- New parameters "cdrwrite" allows skipping writing of CDR records

Thu Jun 21 2007 Paul Chitescu <paulc-devel@null.ro>
- Fixed escaping of messages which broke some external modules

Mon Jun 11 2007 Paul Chitescu <paulc-devel@null.ro>
- Bodyless SIP INFO messages can be handled generically
- Return code of generic SIP transactions can be picked from Yate message

Fri Jun 08 2007 Paul Chitescu <paulc-devel@null.ro>
- Perform cleanups in destroyed() method wherever possible
- Changed the unlocking order to prevent some race conditions
- Lock the list of thread objects while querying running() status
- Added info tone - 3 increasing frequencies with 30ms gaps
- Avoid attempting to reuse a conference that was just dereferenced
- Implemented a special PBX "transparent" operation that lets the DTMF pass

Fri May 25 2007 Paul Chitescu <paulc-devel@null.ro>
- Tweaked parameters to reduce false positives, especially on fax detection
- Reset detection on fax level over average power, it indicates resonance
- Client debugging can be redirected to the event window

Wed May 23 2007 Paul Chitescu <paulc-devel@null.ro>
- Added RTP thread priority - config file setting and message parameter "thread"

Tue May 15 2007 Paul Chitescu <paulc-devel@null.ro>
- API changes: Added pre-destruction notification method
- Added inline helper destruct functions
- Fixed crashes on SIP messages during hangups caused by other channels

Wed May 09 2007 Paul Chitescu <paulc-devel@null.ro>
- Added regexroute features: matching by function, message renaming, new message

Sat May 05 2007 Paul Chitescu <paulc-devel@null.ro>
- Fixed several bugs related to stereo->mono conversions
- Added support for play/record raw stereo PCM and G.711 files
- Added support for detection on stereo input tones (DTMF, Fax)

Thu May 03 2007 Paul Chitescu <paulc-devel@null.ro>
- Added setting to limit the SIP socket receiver buffer size

Sat Apr 14 2007 Paul Chitescu <paulc-devel@null.ro>
- Released version 1.2.0
- Disabled detection of speex, fax and coredumper

Fri Apr 06 2007 Paul Chitescu <paulc-devel@null.ro>
- Support for stereo a-law and mu-law
- Headers are written to .au files for all alaw, mulaw and slin formats

Wed Mar 28 2007 Paul Chitescu <paulc-devel@null.ro>
- Fixed "answered" not cleared bug in ISDN (wpchan, zapchan)
- Added transcoding information function in regexroute

Tue Mar 27 2007 Paul Chitescu <paulc-devel@null.ro>
- Implemented guest PBX mode
- Added ${param} replacement capability in PBX operation parameters

Mon Mar 26 2007 Paul Chitescu <paulc-devel@null.ro>
- Engine's running mode can be read from modules
- The defaults of several modules depend if running in client mode
- Fixed SIP Call-Info parsing bug found by Yuri Gushin
- Added non-authenticable accounts and ad-hoc registration in regfile
- Added method that computes all transcodings possible from a list
- Relaxed timings of supervisor sanity checks on startup

Tue Mar 20 2007 Paul Chitescu <paulc-devel@null.ro>
- Non-default RTP payload mappings are forwarded using call messages
- Message handlers are removed from dispatcher before being destroyed
- Sample scripts now use the more efficient filtered handlers

Mon Mar 12 2007 Paul Chitescu <paulc-devel@null.ro>
- Detect that RTP forwarding is not desired just after routing finished
- Removed extra channel timeout checks

Tue Feb 27 2007 Paul Chitescu <paulc-devel@null.ro>
- Added capability to request a RTP forward reINVITE from routing
- Disable RTP forward gracefully if the H.323 caller does not support it
- Implemented "auxiliar" and "persistent" classes of fork call legs

Fri Feb 16 2007 Paul Chitescu <paulc-devel@null.ro>
- Copy several missing parameters in PBX

Mon Feb 05 2007 Paul Chitescu <paulc-devel@null.ro>
- Fixed reversed order of SIP routes and ACK to 2xx for RFC 2543 proxies

Thu Feb 01 2007 Paul Chitescu <paulc-devel@null.ro>
- Added support for drilling a RTP hole through a firewall or NAT

Wed Jan 31 2007 Paul Chitescu <paulc-devel@null.ro>
- Added preliminary ENUM support for E2U+PSTN and E2U+VOICE
- Added support for Jingle (E2U+XMPP)
- Reorganized code to allow recursive handling of "E2U+tel" records
- Added forking capability so NAPTR can be used for fallback
- Replaced the primary and secondary domains with an arbitrary long list

Thu Jan 25 2007 Paul Chitescu <paulc-devel@null.ro>
- New option -r enables rotation of log file when running through supervisor
- Added a log rotator configuration and activated support at startup

Tue Jan 23 2007 Paul Chitescu <paulc-devel@null.ro>
- Capability to copy parameters from call.execute to outgoing chan.startup

Wed Jan 10 2007 Marian Podgoreanu <marian@null.ro>
- Fixed IAX authentication bug

Wed Jan 03 2007 Paul Chitescu <paulc-devel@null.ro>
- Added option to start RTP when sending the 200 SIP answer

Wed Dec 27 2006 Paul Chitescu <paulc-devel@null.ro>
- Renamed some call fork related parameters

Fri Dec 22 2006 Paul Chitescu <paulc-devel@null.ro>
- Added formatted timestamping option
- Final SIP answer events take priority over any provisional ones

Mon Dec 11 2006 Balwinder S "bsd"  <bsd@rubyforge.org>
- Added support to run daemon under NON-root uid and, or gid on Unix systems.
- Module loading and, or initialization messages moved to highest debug level.
- Added support for aliases in regfile; the 'alias->number' are now aliases.
- Added support to show ip.add.re.ss:port for connections in rmanager module.
- Updated and, or up-to-date manpages, README and INSTALL files.

Thu Dec 07 2006 Paul Chitescu <paulc-devel@null.ro>
- Added the Speex codec module by Olaf Conradi and Mikael Magnusson

Thu Nov 02 2006 Paul Chitescu <paulc-devel@null.ro>
- Added DTMF detection and CED tone detection
- Uniformized the help in call generator

Thu Oct 19 2006 Marian Podgoreanu <marian@null.ro>
- Added Jingle and STUN modules
- The RTP socket is accessible from session so STUN can be attached

Tue Oct 17 2006 Paul Chitescu <paulc-devel@null.ro>
- Interactive remote manager, supports TAB line completion

Thu Mar 30 2006 Paul Chitescu <paulc-devel@null.ro>
- Changed external module to allow to listen on sockets
- Added the watch concept designed by Maciek Kaminski
- Added many options that can be set per external module instance
- Updated the PHP libraries to support the new functions
- Changed the return values of GetEvent() to comply with typechecks in PHP5
- Added extmodule and yradius to the Visual C++ workspace
- Made some fixes for Windows, solved some bugs exposed by the compiler

Wed Mar 29 2006 Paul Chitescu <paulc-devel@null.ro>
- Modified conference based on Andrew McDonald's idea of N-way mixing
- Default output in rmanager is controlled by the config file
- Added option to some CallEndpoint methods to disable disconnect notifications

Thu Mar 23 2006 Paul Chitescu <paulc-devel@null.ro>
- More explicit configuration error messages, thanks to Carl Karsten

Wed Mar 22 2006 Paul Chitescu <paulc-devel@null.ro>
- Added RADIUS client module based on code sent by Faizan Naqvi (Tili)
- Applied various related and unrelated changes and fixes
- Fixed building on x86_64

Fri Feb 24 2006 Paul Chitescu <paulc-devel@null.ro>
- Added call quality analyzer module

Thu Feb 23 2006 Paul Chitescu <paulc-devel@null.ro>
- Fixed a minor bug in the SIP stack that caused excessive retransmissions
- More buggy SIP implementations are accepted (with warnings)

Tue Feb 21 2006 Paul Chitescu <paulc-devel@null.ro>
- Added SIP reINVITE forwarding in RTP and SDP forwarding modes

Fri Feb 17 2006 Paul Chitescu <paulc-devel@null.ro>
- Added per channel status information retrieval

Thu Feb 09 2006 Paul Chitescu <paulc-devel@null.ro>
- Workaround segfault in older libpthread - thread cancelled while taking mutex
- SDP can be forwarded as-is instead of the parsed version

Tue Jan 31 2006 Paul Chitescu <paulc-devel@null.ro>
- Fixed DirectSound playback buffer wrap-arounds

Mon Jan 23 2006 Paul Chitescu <paulc-devel@null.ro>
- Reorganized Module message IDs to make room for Route and Update

Thu Jan 19 2006 Paul Chitescu <paulc-devel@null.ro>
- Fixed several race and deadlock conditions
- RTPGroup no longer corrupts memory if transports are removed from itself

Wed Jan 18 2006 Paul Chitescu <paulc-devel@null.ro>
- Fixed a nasty bug in Linux TLS initialization
- Improved thread/mutex debugging
- Reference counters are strictly enforced

Thu Jan 12 2006 Paul Chitescu <paulc-devel@null.ro>
- Refactored locking and list iteration to solve deadlocks and race conditions

Mon Jan 09 2006 Paul Chitescu <paulc-devel@null.ro>
- Added PBX base classes and a database driven multi router

Fri Dec 09 2005 Paul Chitescu <paulc-devel@null.ro>
- Fixed a bug in Regexp match
- Channel IDs are reported in debug messages
- A debug filter can be set on channels

Sat Nov 26 2005 Paul Chitescu <paulc-devel@null.ro>
- Added default initialization of billid so it can track calls

Tue Nov 08 2005 Paul Chitescu <paulc-devel@null.ro>
- Added control of SIP registration expiration
- Added support for sending UDP keepalives to keep NAT mappings in place
- Improved chances of properly detecting public IP address from behind NAT

Sat Nov 05 2005 Paul Chitescu <paulc-devel@null.ro>
- Modified the PHP libraries to work with PHP 5, breaks PHP 4
- Added pre-answer timeout in channels
- Fixed bugs in disconnecting wave sources
- Added option settings for external modules

Wed Nov 02 2005 Paul Chitescu <paulc-devel@null.ro>
- TOS setting support and configuration improvments in RTP
- Fixed time parsing of messages from external modules
- Abnormal CDR timestamps are adjusted to avoid negative time intervals

Sun Oct 30 2005 Paul Chitescu <paulc-devel@null.ro>
- Fixed H.323, IAX and ISDN to include outgoing caller and called in CDR
- The CDR builder emits time and intervals in milliseconds
- Fixed yet another bug in H.323 connection cleanup
- H.323 sends the in_line parameter for named endpoints
- Applied some of the FreeBSD patches by Alex Rodin

Fri Oct 28 2005 Paul Chitescu <paulc-devel@null.ro>
- Automatic authentication support in SIP transactions
- Some degree of NAT support in SIP and RTP

Mon Oct 24 2005 Paul Chitescu <paulc-devel@null.ro>
- Minor fixes related to gcc-4 warnings and RPM License: tag

Wed Oct 19 2005 Diana Cionoiu <diana@diana.null.ro>
- Called number is picked from the Q.931 part of H.323 calls

Wed Oct 19 2005 Paul Chitescu <paulc-devel@null.ro>
- Worked around array_walk limitations in libyate.php
- Fixed bug in media parameters passing in SIP

Mon Oct 10 2005 Diana Cionoiu <diana@diana.null.ro>
- Added iLBC codec support

Thu May 05 2005 Paul Chitescu <paulc-devel@null.ro>
- Separate client directory and executables
- Support for passing arguments to client programs
- Put some usefull tools in their own directory

Mon Apr 02 2005 Paul Chitescu <paulc-devel@null.ro>
- Windows directory and Visual Studio 6 project files
- Started changes to make the engine cross-platform

Fri Mar 18 2005 Paul Chitescu <paulc-devel@null.ro>
- Bumped version to 0.8.8
- Rearranged directories and file names

Tue Jan 18 2005 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.7
- Fixed session destruction in libiax
- Fixed miscellaneous bugs in iaxchan
- Fixed a bug related to ObjList cleanup

Mon Jan 10 2005 Paul Chitescu <paulc-devel@null.ro>
- Improved detection of Qt-3 headers
- SIP channel supports reinvite and config file
- Versioned libyate.so (full version, also matches soname)
- Improved detection of Qt-3 and PostgesSQL headers
- Main config file name can be changed from command line
- Default config file name matches executable name argv[0]

Sun Jan 09 2005 Dorin Lazar <lazar@deuromedia.ro>
- Improved the Qt-3 client, added call history support

Thu Jan 06 2005 Paul Chitescu <paulc-devel@null.ro>
- Support for RTP pass-trough in SIP and H.323 modules
- Textual call end reasons in the H.323 module
- Added the possibility of declaring fake codecs
- More assignment operators for String class

Fri Dec 24 2004 Paul Chitescu <paulc-devel@null.ro>
- Added Yet Another SIP Engine and a SIP channel based

Tue Dec 21 2004 Paul Chitescu <paulc-devel@null.ro>
- Added final parameter to disconnect.
- Renamed most messages.
- Added soname in library.

Mon Dec 20 2004 Paul Chitescu <paulc-devel@null.ro>
- Bumped version to 0.8.6
- Added soname to libyate.so
- Made configure script generate yateversn.h from the package version
- Renamed all non-engine messages to a consistent scheme
- Implemented default DTMF forwarding in H323, IAX, Zaptel
- Many more thread and locking related bugfixes

Tue Dec 14 2004 Paul Chitescu <paulc-devel@null.ro>
- Added a Qt-3 client by Dorin Lazar

Sat Dec 04 2004 Paul Chitescu <paulc-devel@null.ro>
- Added toString method to all generic objects
- Implemented list searching by string value

Mon Nov 29 2004 Paul Chitescu <paulc-devel@null.ro>
- Bumped version to 0.8.5
- Added copyright statement in each source file
- Fixed matching of RTTI setting against pwlib
- Fixed file permissions during install

Sun Nov 28 2004 Diana Cionoiu <diana@diana.null.ro>
- Added spandsp based fax channel

Wed Nov 10 2004 Diana Cionoiu <diana@diana.null.ro>
- Added some documentation
- Added default setting for gatekeeper server

Mon Nov 01 2004 Paul Chitescu <paulc-devel@null.ro>
- Added a textual disconnect reason for channels
- Added unique IDs to wave and tone channels
- Improved CDR tracking and handling of unusual conditions

Mon Nov 01 2004 Diana Cionoiu <diana@diana.null.ro>
- Fixed a serious memory leak in threads

Sun Oct 31 2004 Paul Chitescu <paulc-devel@null.ro>
- Added supervised running and periodic restart
- Fixed lots of locking bugs

Wed Sep 29 2004 Paul Chitescu <paulc-devel@null.ro>
- Bumped version to 0.8.4
- Added timestamps to all data channels
- Added separate oRTP based RTP channel
- H.323 can optionally use the RTP channel
- RTTI support is configurable - defaults like pwlib which should be ok

Sat Sep 11 2004 Paul Chitescu <paulc-devel@null.ro>
- Added printf-style parameter/format checks for gcc
- Filter for kdoc to parse trough said checks which it doesn't understand

Mon Sep 06 2004 Paul Chitescu <paulc-devel@null.ro>
- Created a contrib directory to hold libiax2 fork
- Build system uses the included static libiax2 by default
- Yate can write its main thread PID to a file

Mon Sep 06 2004 Diana Cionoiu <diana@diana.null.ro>
- Added a fork of libiax2 modified for server usage
- Many features added in the IAX channel

Sat Jun 26 2004 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.3
- Minor fixes in tone generator and external module

Sat Jun 26 2004 Diana Cionoiu <diana@diana.null.ro>
- Added an OSS local sound channel

Sat May 15 2004 Paul Chitescu <paulc-devel@null.ro>
- Added pkgconfig support
- Improved detection of Postgress' include file path
- Support for detecting libraries required for SIP
- Better detection of OpenH323 versions

Sat May 15 2004 Diana Cionoiu <diana@diana.null.ro>
- Added SIP channel and registration module

Wed Apr 28 2004 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.1
- Fixed data law selection on Zaptel
- Preventing vi swap and backup files from polluting the tarballs

Mon Apr 26 2004 Paul Chitescu <paulc-devel@null.ro>
- Fixed a fatal 16->8 bit conversion bug in DataBlock::convert()
- Added valgrind support to the run script

Sat Apr 11 2004 Paul Chitescu <paulc-devel@null.ro>
- Moved hash capabilities to the String class so HString was removed
- String encoding and decoding methods for messages
- Slightly more useful RManager

Sun Apr 04 2004 Paul Chitescu <paulc-devel@null.ro>
- Added an yate-config script

Sat Apr 03 2004 Paul Chitescu <paulc-devel@null.ro>
- Turned some redundant strings from makefiles into variables
- Applied some patches submitted by Cristian Andrei Calin <kman@tfm.ro> :
    - Patches to allow compiling under NetBSD and FreeBSD
    - Patch to add -fPIC which supposedly fixes the dlclose() bug in *BSD

Fri Apr 02 2004 Paul Chitescu <paulc-devel@null.ro>
- Imported into new CVS

Mon Mar 29 2004 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.0
- Redesigned the build system so it works trough autoconf
- Added a RPM specfile - tested on RedHat 7.1
